<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <RootNamespace>CanineDotNet.User.Persistence.CosmosDb</RootNamespace>
    <AssemblyName>CanineDotNet.User.Persistence.CosmosDb</AssemblyName>
    <Authors>Jimmy Borch</Authors>
    <Company>Canine Development ApS</Company>
    <Product>CanineDotNet.User</Product>
    <PackageLicenseFile>LICENSE</PackageLicenseFile>
    <PackageIcon>logo.png</PackageIcon>
    <RepositoryUrl>https://gitlab.com/CanineDotNet/libraries/opensource/CanineDotNet.user</RepositoryUrl>
    <RepositoryType>gitlab</RepositoryType>
    <PackageProjectUrl>https://gitlab.com/CanineDotNet/libraries/opensource/CanineDotNet.user</PackageProjectUrl>
    <PackageTags>CanineDotNet</PackageTags>
    <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
    <PackageRequireLicenseAcceptance>true</PackageRequireLicenseAcceptance>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Cosmos" Version="3.1.12" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="3.1.12" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Core\Application\Application.csproj" />
    <ProjectReference Include="..\..\Core\Domain\Domain.csproj" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\..\LICENSE">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
    <None Include="..\..\..\logo.png">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
  </ItemGroup>
</Project>
